# Uses of Class
it.tdlight.jni.TdApi.ReportReason

## Uses of TdApi.ReportReason in it.tdlight.jni

Subclasses of TdApi.ReportReason in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ReportReasonChildAbuse`
The chat has child abuse related content.
`static final class`
`TdApi.ReportReasonCopyright`
The chat contains copyrighted content.
`static final class`
`TdApi.ReportReasonCustom`
A custom reason provided by the user.
`static final class`
`TdApi.ReportReasonFake`
The chat represents a fake account.
`static final class`
`TdApi.ReportReasonIllegalDrugs`
The chat has illegal drugs related content.
`static final class`
`TdApi.ReportReasonPersonalDetails`
The chat contains messages with personal details.
`static final class`
`TdApi.ReportReasonPornography`
The chat contains pornographic messages.
`static final class`
`TdApi.ReportReasonSpam`
The chat contains spam messages.
`static final class`
`TdApi.ReportReasonUnrelatedLocation`
The location-based chat is unrelated to its stated location.
`static final class`
`TdApi.ReportReasonViolence`
The chat promotes violence.
Fields in it.tdlight.jni declared as TdApi.ReportReason
Modifier and Type
Field
Description
`TdApi.ReportReason`
TdApi.ReportChat.`reason`
The reason for reporting the chat.
`TdApi.ReportReason`
TdApi.ReportChatPhoto.`reason`
The reason for reporting the chat photo.
`TdApi.ReportReason`
TdApi.ReportStory.`reason`
The reason for reporting the story.
Constructors in it.tdlight.jni with parameters of type TdApi.ReportReason
Modifier
Constructor
Description
``
`ReportChat(long chatId, long[] messageIds, TdApi.ReportReason reason, String text)`
Reports a chat to the Telegram moderators.
``
`ReportChatPhoto(long chatId, int fileId, TdApi.ReportReason reason, String text)`
Reports a chat photo to the Telegram moderators.
``
`ReportStory(long storySenderChatId, int storyId, TdApi.ReportReason reason, String text)`
Reports a story to the Telegram moderators.